#### D.12.6.7 tracemult

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  tracemult(f,B,I);f poly, B,I ideal

Return:
  number: the trace of the multiplication by f (m_f) on r/I, written in the monomial basis B of r/I, r = basering (faster than matmult + trace)

Assume:
  I is given by a Groebner basis and B is an ordered monomial basis of r/I

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    ideal i = x4-y2x,y2-13;
    i = std(i);
    ideal b = qbase(i);
    poly f = x3-xy+y-13+x4-y2x;
    matrix m = matmult(f,b,i);
    print(m);
    ==> 0,   1,  0,  -1,0,  0, 1,  0,
    ==> 13,  0,  -13,0, 0,  0, 0,  1,
    ==> 0,   0,  0,  1, 0,  -1,0,  0,
    ==> 0,   0,  13, 0, -13,0, 0,  0,
    ==> 0,   -13,0,  0, 0,  1, 0,  -1,
    ==> -169,0,  0,  0, 13, 0, -13,0,
    ==> 0,   0,  0,  0, 0,  0, -13,1,
    ==> 0,   0,  0,  0, 0,  0, 13, -13
    tracemult(f,b,i);            //the trace of m
    ==> -26

See also: matmult; trace.

User manual for Singular version 4.4.1, 2025, generated by texi2html.